import { select, csv, csvFormat } from 'd3';

const kilobytes = data =>
  Math.ceil(csvFormat(data).length / 1000);

const body = select('body');

csv('https://gist.githubusercontent.com/rushithareddyy/d6470d14a1f94aaaa08b1fb50d2159d8/raw/4d368c64da375a1fbf8371befa25f4ecea4652bb/data.csv')
  .then(data => {
    
    body
      .append('pre')
        .text('First 10 rows:');

    body
      .append('pre')
        .text(JSON.stringify(data.slice(0, 10), null, 2));
  });
